package com.topsunit.scanservice.ximai.entity;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import java.math.BigDecimal;

/**
 * Author:   Jack
 * Date:     2021/10/29 21:42
 * Description: 品号仓库库位档
 */
@Entity
@IdClass(InvmlId.class)
public class Invml extends EntityBase {
    /**
     * 品号
     */
    @Id
    private String ml001;

    /**
     * 仓库
     */
    @Id
    private String ml002;

    /**
     * 库位
     */
    @Id
    private String ml003;

    /**
     * 批号
     */
    @Id
    private String ml004;

    /**
     * 库存数量
     */
    private BigDecimal ml005;

    /**
     * 库存包装数量
     */
    private BigDecimal ml006;

    /**
     * 预留字段 库存金额
     */
    private BigDecimal ml007;

    /**
     * 上次盘点日
     */
    private String ml008;

    /**
     * 最近入库日
     */
    private String ml009;

    /**
     * 最近出库日
     */
    private String ml010;

    public String getMl001() {
        return ml001;
    }

    public void setMl001(String ml001) {
        this.ml001 = ml001;
    }

    public String getMl002() {
        return ml002;
    }

    public void setMl002(String ml002) {
        this.ml002 = ml002;
    }

    public String getMl003() {
        return ml003;
    }

    public void setMl003(String ml003) {
        this.ml003 = ml003;
    }

    public String getMl004() {
        return ml004;
    }

    public void setMl004(String ml004) {
        this.ml004 = ml004;
    }

    public BigDecimal getMl005() {
        return ml005;
    }

    public void setMl005(BigDecimal ml005) {
        this.ml005 = ml005;
    }

    public BigDecimal getMl006() {
        return ml006;
    }

    public void setMl006(BigDecimal ml006) {
        this.ml006 = ml006;
    }

    public BigDecimal getMl007() {
        return ml007;
    }

    public void setMl007(BigDecimal ml007) {
        this.ml007 = ml007;
    }

    public String getMl008() {
        return ml008;
    }

    public void setMl008(String ml008) {
        this.ml008 = ml008;
    }

    public String getMl009() {
        return ml009;
    }

    public void setMl009(String ml009) {
        this.ml009 = ml009;
    }

    public String getMl010() {
        return ml010;
    }

    public void setMl010(String ml010) {
        this.ml010 = ml010;
    }
}
